Nie jesteś zalogowany na forum.

#1 2017-01-14 12:46:40

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,661
WWW

Kernel 4.9.x

Ok, wraz z wersją 4.9.2 zniknął dość denerwujący "Firmware Bug", który witał nas na po wyborze praktycznie dowolnego kernela z linii 4.9. W dalszym ciągu występuje błąd ACPI i WatchDoga, ale z tym wiem jak sobie poradzić.
Niech mi jednak ktoś światły i obeznany w kernelowych zawiłościach wytłumaczy jaki wpływ ma kernel na poprawne działanie Akonadi/KMail.
Wersje <4.9.3 były praktycznie nie do użytku z tymi aplikacjami. Raz się uruchamiały (sporadycznie), częściej jednak witały wywaleniem się Akonadi już przy starcie systemu, po jego ponownym zainicjowaniu (jeśli się to w ogóle udawało i nie było następnych crashy), często KMail witał nas pustym oknem (jak na zrzucie: http://i.imgur.com/yNX5ayB.png), bądź też jeśli istniała w ogóle lista katalogów i pojawiały się maile, to ich zawartość była pobierana w nieskończoność (jak na zrzucie: http://i.imgur.com/KJb9Fou.png - uwaga, tym razem Kmail wyświetlił listę katalogów - sesja ta sama nic się nie zmieniło). Niekiedy jednakże - działa poprawnie (sporadycznie).

Dla "niekończącego się pobierania" KMail w konsoli wypisuje tak:
kmail
Pass a valid window to KWallet::W … tems: 3646

I w zasadzie nic to nie znaczy.

Dla "pustych" okien:
kmail
Pass a valid window to KWallet::W … onadi.ETM:

(nie musiałem długo czekać, zamknąłem poprzednią, uruchomiłem nową sesję KMaila).

Dodatkowo, powrót do innego kernela i otwarcie w nim KMail często powoduje konieczność ręcznego usunięcia wszystkich plików akonadi z ~/.config i ~/.local/share, utworzenie od nowa kont itd.

Testy przeprowadzone na następujących kernelach:
- "stockowy" Archa 4.9-4.9.3,
- linux-zen 4.9.1-3,
- linux-ck 4.9.3 (tu co do zasady działał przez sesję, ale jej zamknięcie przywitało crashem akonadiserver),
- linux49 (z Manjaro),
- linux-bede (tu przetestowana do tej pory wersja 4.9.2),
- skompilowanym przeze mnie 4.9-4.9.3.

Problem nie występuje natomiast na żadnym innym kernelu. Tzn. bardzo dawno temu, na początku KDEPIM 5.x coś takiego zaistniało krótko. Wówczas był to błąd tego programu, nie kernela, bowiem pojawiał się przy każdym kernelu (wersji). Można to było też skorygować ustawieniami. Obecnie na kernelach =<4.8.17 działa bezbłędnie, natomiast na każdym 4.9.x jest to loteria z przewagą braku możliwości uruchomienia programu pocztowego (i/lub akonadiserver).

W zasadzie nawet nie bardzo mnie interesuje rozwiązanie problemu (choć by się przydało), a bardziej wytłumaczenie jaki wpływ na działanie akonadi/kmail ma użyty kernel i dlaczego.

PS: Akonadi przebudowane na gcc 6.3.1


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

#2 2017-01-15 18:51:52

slawul
Użytkownik
Data rejestracji: 2016-02-24
Liczba postów: 28

Odp: Kernel 4.9.x

[drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:26:pipe A] flip_done timed out

Czy chodzi o ten dość denerwujący "Firmware Bug" ? bo właśnie zainstalowałem linux 4.9.3 i od czasu gdy weszły kernele 4.8 i 4.9 cały czas to mam i to jest naprawdę denerwujące.
Co do błędu ACPI i WatchDoga który widzę gdy zamykam system - to może pochwal się jak rozwiązujesz ten problem.
Mam jeszcze jeden widoczny na starcie błąd:

Failed to find cpu0 device node

To natomiast nie jest chyba związane tylko z serią kerneli 4.9 ale mam też na lts.

Offline

#3 2017-01-15 19:28:45

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,661
WWW

Odp: Kernel 4.9.x

@slawul - Nie, nie chodzi ani o Firmware Bug, który został zakopany pod dywan, ani też o błąd watchdoga, z którym można sobie poradzić. Chodzi mi natomiast o to co ma piernik do wiatraka: Kontact/Akonadi na <4.9 chodzi prawidłowo, na >=4.9.x wywala takie błędy jak opisałem.
Jeśli ktoś chce logi itp., to zainstaluję najnowszy 4.9.4 i pokażę. Co najwyżej będę musiał ponownie przeinstalować Kontact/Akonadi.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

#4 2017-01-15 19:50:47

slawul
Użytkownik
Data rejestracji: 2016-02-24
Liczba postów: 28

Odp: Kernel 4.9.x

@pavbaranov - widzę że chodzi o Kontact/Akonadi, ale że wspomniałeś o Firmware Bug więc zabrałem głos bo właśnie zainstalowałem najnowszy kernel i myślałem, że Arch mi nie wystartuje jak ostatnio miałem z tym problem dlatego mam w zanadrzu lts. To tyle z mojej strony :)

Offline

#5 2017-01-15 20:01:35

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,661
WWW

Odp: Kernel 4.9.x

Ten Firmware Bug winien zostać zamieciony pod dywan wraz z 4.9.2. Nie znaczy, że nie występuje - po prostu nie pokazuje się.

EDIT:
4.9.4, tym razem ck-piledriver. Opisany problem z Kontact/Akonadi zniknął, ale nieco połowicznie. Wprawdzie do poczty można się dostać, jednakże każde wyłączenie komputera wywołuje wysypanie się albo akonadiserver, albo/i oznajmia, że "Program pocztowy napotkał błąd krytyczny".


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

#6 2017-01-16 17:16:14

Kx_liner
Użytkownik
Data rejestracji: 2015-10-25
Liczba postów: 152

Odp: Kernel 4.9.x

Powiedzcie mi jak to jest, że w manjaro kernel 4.9.x już jest, a w Archu tylko permanentny testing?
Jak widzę z Waszych wypowiedzi 4.9.x, to ewidentna kiszka, ale powiem Wam, że jak miesiąc temu próbowałem sobie zainstalować manjaro, to start z pendrive kończył się niezmiennie kernel panic - pierwszy raz z czymś takim się spotkałem. W tamtym jednak przypadku był to kernel 4.8.x.


Używam środowiska Plazma + Lenovo ThinkPad T520 Intel Core i5

Offline

#7 2017-01-16 17:40:04

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,661
WWW

Odp: Kernel 4.9.x

Ok. Największym winowajcą w przypadku 4.9.4 okazuje się patch vrq i poniekąd CK.
Za kernele w Manjaro odpowiada Phil. Mają inny config, mają nakładane patche itp. To jest zupełnie inny kernel od 'stockowego'.
Mi w końcu udało się zwalczyć chyba 99% problemów.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

#8 2017-01-16 17:48:06

Kx_liner
Użytkownik
Data rejestracji: 2015-10-25
Liczba postów: 152

Odp: Kernel 4.9.x

To moje gratulacje :)
Ja mam na razie niezmiennie 4.8.13-1 i nic się w tej materii nie zmienia. Wolę jednak 4.8.13-1, niż Philowe patche i kernel panic.


Używam środowiska Plazma + Lenovo ThinkPad T520 Intel Core i5

Offline

#9 2017-01-16 18:29:22

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,661
WWW

Odp: Kernel 4.9.x

Dla desktopu bardzo dobry kernel to linux-bld 4.8.17 z BFQ.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

#10 2017-01-16 18:32:36

Kx_liner
Użytkownik
Data rejestracji: 2015-10-25
Liczba postów: 152

Odp: Kernel 4.9.x

A dla laptopa? ;)


Używam środowiska Plazma + Lenovo ThinkPad T520 Intel Core i5

Offline

#11 2017-01-16 18:51:11

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,661
WWW

Odp: Kernel 4.9.x

Na nim go mam :) To akurat tu nie ma znaczenia.

Dobra. Zamykam wątek.
Przy 4.9.4 główne problemy tu opisane wywołują patche związane z "bfs" (mniejsza o to, czy MuQSS, czy VRQ, czy skądinąd "wciągnięty" w to BFS). Sprawa do zgłoszenia Conowi i Chenowi.

Resztę problemów załatwia patch z 4.10, który przedstawiłem.
Niestety nie wiem, czy problem jest usuwalny w ten sposób na dowolnym procesorze. Na pewno sprawa dotyczy mojego (w stopce).

Jeśli macie jakieś inne problemy z 4.9.x, to proszę zakładać nowe wątki. Nawet do pogadania sobie o wyższości świąt :)


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

Stopka

Napędzają nas PacmanVPS i MegiTeam

Forum oparte na FluxBB